#!/bin/sh

# Copy resources to skeleton
if [ -e $HOME/src/Grisbi.app ]; then
	mv $HOME/Grisbi/Grisbi.app $HOME/Grisbi/src/Grisbi.app.`date "+%Y%m%d-%H%M%S"`
fi

cp -pRP $HOME/Grisbi/sources/Grisbi.app $HOME/Grisbi
export MACPORTS=$HOME/Grisbi/build/Grisbi.app/Contents/Resources
export SKEL=$HOME/Grisbi/Grisbi.app/Contents/Resources
cp $MACPORTS/bin/grisbi $SKEL/bin/

mkdir -p $SKEL/share/pixmaps/grisbi/
mkdir -p $SKEL/share/mime-info/
mkdir -p $SKEL/share/doc/grisbi/
mkdir -p $SKEL/share/mime/
mkdir -p $SKEL/etc/fonts/
mkdir -p $SKEL/etc/gtk-2.0/
mkdir -p $SKEL/etc/pango/
mkdir -p $SKEL/lib/pango/1.6.0/modules/
mkdir -p $SKEL/lib/gtk-2.0/2.10.0/engines/
mkdir -p $SKEL/lib/gtk-2.0/2.10.0/immodules/
mkdir -p $SKEL/lib/gtk-2.0/2.10.0/loaders/
mkdir -p $SKEL/lib/gtk-2.0/2.10.0/printbackends/
mkdir -p $SKEL/lib/gtk-2.0/modules/
mkdir -p $SKEL/lib/grisbi/
mkdir -p $SKEL/share/libofx/
mkdir -p $SKEL/share/themes/
mkdir -p $SKEL/share/locale/cs/LC_MESSAGES/
mkdir -p $SKEL/share/locale/da/LC_MESSAGES/
mkdir -p $SKEL/share/locale/de/LC_MESSAGES/
mkdir -p $SKEL/share/locale/el/LC_MESSAGES/
mkdir -p $SKEL/share/locale/eo/LC_MESSAGES/
mkdir -p $SKEL/share/locale/es/LC_MESSAGES/
mkdir -p $SKEL/share/locale/fa/LC_MESSAGES/
mkdir -p $SKEL/share/locale/fr/LC_MESSAGES/
mkdir -p $SKEL/share/locale/he/LC_MESSAGES/
mkdir -p $SKEL/share/locale/it/LC_MESSAGES/
mkdir -p $SKEL/share/locale/nl/LC_MESSAGES/
mkdir -p $SKEL/share/locale/pl/LC_MESSAGES/
mkdir -p $SKEL/share/locale/pt_BR/LC_MESSAGES/
mkdir -p $SKEL/share/locale/ro/LC_MESSAGES/
mkdir -p $SKEL/share/locale/ru/LC_MESSAGES/
mkdir -p $SKEL/share/locale/zh_CN/LC_MESSAGES/


cp -pRP $MACPORTS/share/pixmaps/grisbi/* $SKEL/share/pixmaps/grisbi/
cp -pRP $MACPORTS/share/mime-info/grisbi.* $SKEL/share/mime-info/
cp -pRP $MACPORTS/share/doc/grisbi/* $SKEL/share/doc/grisbi/
cp -pRP $MACPORTS/share/mime/* $SKEL/share/mime/

cp -pRP $MACPORTS/etc/fonts/* $SKEL/etc/fonts/
cp -pRP $MACPORTS/etc/gtk-2.0/* $SKEL/etc/gtk-2.0/
cp -pRP $MACPORTS/etc/pango/* $SKEL/etc/pango/

cp -pRP $MACPORTS/lib/libofx*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libgio*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libgtk*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libgdk*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libatk*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libpango*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libgobject*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libgmodule*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libglib*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libiconv*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libosp*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libcharset*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libtiff*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libpng*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libjpeg*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libintl*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libcairo*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libpixman*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libfontconfig*.dylib $SKEL/lib/
cp -pRP $MACPORTS/lib/libfreetype*.dylib $SKEL/lib
cp -pRP $MACPORTS/lib/libssl*.dylib $SKEL/lib
cp -pRP $MACPORTS/lib/libxml*.dylib $SKEL/lib
cp -pRP $MACPORTS/lib/libcrypto*.dylib $SKEL/lib
cp -pRP $MACPORTS/lib/libz*.dylib $SKEL/lib
cp -pRP $MACPORTS/lib/libgthread*.dylib $SKEL/lib

# X11
cp -pRP $MACPORTS/lib/libX*.dylib $SKEL/lib

cp -pRP $MACPORTS/lib/pango/1.6.0/modules/*.so $SKEL/lib/pango/1.6.0/modules/
cp -pRP $MACPORTS/lib/gtk-2.0/2.10.0/engines/*.so $SKEL/lib/gtk-2.0/2.10.0/engines/
cp -pRP $MACPORTS/lib/gtk-2.0/2.10.0/immodules/*.so $SKEL/lib/gtk-2.0/2.10.0/immodules/
cp -pRP $MACPORTS/lib/gtk-2.0/2.10.0/loaders/*.so $SKEL/lib/gtk-2.0/2.10.0/loaders/
cp -pRP $MACPORTS/lib/gtk-2.0/2.10.0/printbackends/*.so $SKEL/lib/gtk-2.0/2.10.0/printbackends/
cp -pRP $MACPORTS/lib/gtk-2.0/modules/*.so $SKEL/lib/gtk-2.0/modules/
cp -pRP $MACPORTS/lib/grisbi/*.so $SKEL/lib/grisbi/

cp -pRP $MACPORTS/share/libofx/* $SKEL/share/libofx/
cp -pRP $MACPORTS/share/themes/* $SKEL/share/themes/

cp -pRP $MACPORTS/share/locale/cs/LC_MESSAGES/grisbi.mo $SKEL/share/locale/cs/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/cs/LC_MESSAGES/gtk20.mo $SKEL/share/locale/cs/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/da/LC_MESSAGES/grisbi.mo $SKEL/share/locale/da/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/da/LC_MESSAGES/gtk20.mo $SKEL/share/locale/da/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/de/LC_MESSAGES/grisbi.mo $SKEL/share/locale/de/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/de/LC_MESSAGES/gtk20.mo $SKEL/share/locale/de/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/el/LC_MESSAGES/grisbi.mo $SKEL/share/locale/el/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/el/LC_MESSAGES/gtk20.mo $SKEL/share/locale/el/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/eo/LC_MESSAGES/grisbi.mo $SKEL/share/locale/eo/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/eo/LC_MESSAGES/gtk20.mo $SKEL/share/locale/eo/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/es/LC_MESSAGES/grisbi.mo $SKEL/share/locale/es/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/es/LC_MESSAGES/gtk20.mo $SKEL/share/locale/es/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/fa/LC_MESSAGES/grisbi.mo $SKEL/share/locale/fa/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/fa/LC_MESSAGES/gtk20.mo $SKEL/share/locale/fa/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/fr/LC_MESSAGES/grisbi.mo $SKEL/share/locale/fr/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/fr/LC_MESSAGES/gtk20.mo $SKEL/share/locale/fr/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/he/LC_MESSAGES/gtk20.mo $SKEL/share/locale/he/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/it/LC_MESSAGES/grisbi.mo $SKEL/share/locale/it/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/it/LC_MESSAGES/gtk20.mo $SKEL/share/locale/it/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/nl/LC_MESSAGES/grisbi.mo $SKEL/share/locale/nl/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/nl/LC_MESSAGES/gtk20.mo $SKEL/share/locale/nl/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/pl/LC_MESSAGES/grisbi.mo $SKEL/share/locale/pl/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/pl/LC_MESSAGES/gtk20.mo $SKEL/share/locale/pl/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/pt_BR/LC_MESSAGES/grisbi.mo $SKEL/share/locale/pt_BR/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/pt_BR/LC_MESSAGES/gtk20.mo $SKEL/share/locale/pt_BR/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/ro/LC_MESSAGES/grisbi.mo $SKEL/share/locale/ro/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/ro/LC_MESSAGES/gtk20.mo $SKEL/share/locale/ro/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/ru/LC_MESSAGES/grisbi.mo $SKEL/share/locale/ru/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/ru/LC_MESSAGES/gtk20.mo $SKEL/share/locale/ru/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/zh_CN/LC_MESSAGES/grisbi.mo $SKEL/share/locale/zh_CN/LC_MESSAGES/
cp -pRP $MACPORTS/share/locale/zh_CN/LC_MESSAGES/gtk20.mo $SKEL/share/locale/zh_CN/LC_MESSAGES/
echo "\nOK\n".
